# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-08-23 15:30
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import re


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FeatureToggle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='Modified at')),
                ('name', models.CharField(max_length=20)),
                ('code', models.CharField(max_length=20, validators=[django.core.validators.RegexValidator(re.compile(b'^[A-Z_]+\\Z'), "Enter a valid 'code' of CAPITAL letters and underscores only.", b'invalid')])),
                ('environment', models.CharField(choices=[(b'local', b'local'), (b'dev', b'dev'), (b'preprod', b'preprod'), (b'prod', b'prod')], max_length=50)),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='FeatureToggleAttribute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='Modified at')),
                ('key', models.CharField(choices=[(b'module', b'module'), (b'start_date', b'start_date'), (b'end_date', b'end_date')], max_length=100)),
                ('value', models.TextField(blank=True, max_length=1000, null=True)),
                ('feature_toggle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attributes', to='feature_toggle.FeatureToggle')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='featuretoggle',
            unique_together=set([('code', 'environment'), ('name', 'environment')]),
        ),
        migrations.AlterUniqueTogether(
            name='featuretoggleattribute',
            unique_together=set([('feature_toggle', 'key')]),
        ),
    ]
